package com.ifish.entity;

import java.io.Serializable;
import java.util.Date;

/** 
 * @ClassName: tbl_hardware_type
 * @date 2015年7月2日 下午16:40:00 
 *  
 */
public class HardwareType implements Serializable{
	
	private static final long serialVersionUID = -3276528943627616026L;
	//类型编号
	private String hardwareType;
	//类型名称
	private String hardwareName;
	//控制个数
	private Integer controlAmount;
	//定时器个数
	private Integer timerAmount;
	//是否有模式
	private String isWorkModel;
	//是否自定义图标
	private String isCustomIcon;
	//显示名称
	private String allShowName;
	//默认图标
	private String defaultIconName;
	//默认名称
	private String defaultShowName;
	//自定义图标根地址
	private String iconLink;
	//根地址下图标名称
	private String allIconName;
	//描述
	private String hardwareDesc;
	//修改时间
	private Date updateTime;
	//创建时间
	private Date createTime;
	//是否有背光
	private String isLightness;
	//是否有柜灯
	private String isSarkLamp;
	
	public String getHardwareType() {
		return hardwareType;
	}
	public void setHardwareType(String hardwareType) {
		this.hardwareType = hardwareType;
	}
	public String getHardwareName() {
		return hardwareName;
	}
	public void setHardwareName(String hardwareName) {
		this.hardwareName = hardwareName;
	}
	public String getHardwareDesc() {
		return hardwareDesc;
	}
	public void setHardwareDesc(String hardwareDesc) {
		this.hardwareDesc = hardwareDesc;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Integer getControlAmount() {
		return controlAmount;
	}
	public void setControlAmount(Integer controlAmount) {
		this.controlAmount = controlAmount;
	}
	public Integer getTimerAmount() {
		return timerAmount;
	}
	public void setTimerAmount(Integer timerAmount) {
		this.timerAmount = timerAmount;
	}
	public String getIsCustomIcon() {
		return isCustomIcon;
	}
	public void setIsCustomIcon(String isCustomIcon) {
		this.isCustomIcon = isCustomIcon;
	}
	public String getIconLink() {
		return iconLink;
	}
	public void setIconLink(String iconLink) {
		this.iconLink = iconLink;
	}
	public String getAllIconName() {
		return allIconName;
	}
	public void setAllIconName(String allIconName) {
		this.allIconName = allIconName;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public String getIsLightness() {
		return isLightness;
	}
	public void setIsLightness(String isLightness) {
		this.isLightness = isLightness;
	}
	public String getIsSarkLamp() {
		return isSarkLamp;
	}
	public void setIsSarkLamp(String isSarkLamp) {
		this.isSarkLamp = isSarkLamp;
	}
	public String getIsWorkModel() {
		return isWorkModel;
	}
	public void setIsWorkModel(String isWorkModel) {
		this.isWorkModel = isWorkModel;
	}
	public String getAllShowName() {
		return allShowName;
	}
	public void setAllShowName(String allShowName) {
		this.allShowName = allShowName;
	}
	public String getDefaultIconName() {
		return defaultIconName;
	}
	public void setDefaultIconName(String defaultIconName) {
		this.defaultIconName = defaultIconName;
	}
	public String getDefaultShowName() {
		return defaultShowName;
	}
	public void setDefaultShowName(String defaultShowName) {
		this.defaultShowName = defaultShowName;
	}
	
}
